net.corda.core.serialization

## Class InputStreamSerializer

- net.corda.core.serialization.InputStreamSerializer

-     public class InputStreamSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InputStreamSerializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<java.io.InputStream> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, java.io.InputStream stream)`

- - ### Field Detail

    - #### INSTANCE

          public static InputStreamSerializer INSTANCE

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            java.io.InputStream stream)

    - #### read

          public java.io.InputStream read(com.esotericsoftware.kryo.Kryo kryo,
                                          com.esotericsoftware.kryo.io.Input input,
                                          java.lang.Class<java.io.InputStream> type)